Bug 1031482 - fedora-review should test directory ownership in mock buildroot not host
fedora-review should test directory ownership in mock buildroot not host
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fedora-review (Show other bugs)
20
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-17 23:56 EST by Jens Petersen
Modified: 2015-06-29 08:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:58:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2013-11-17 23:56:41 EST
Description of problem:
fedora-review mistakenly complains when checking Haskell packages
that /usr/lib64/ghc-7.6.3/package.conf.d and /usr/lib64/ghc-7.6.3
do not have any known owner, but in fact they are owned by
ghc-compiler and ghc-base respectively

Version-Release number of selected component (if applicable):
0.5.0-3.fc19

How reproducible:
100

Steps to Reproduce:
1. for example
$ fedora-review -b 1023605

Actual results:
review.txt says:

[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/ghc-7.6.3/package.conf.d,
     /usr/lib64/ghc-7.6.3
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/ghc-7.6.3,
     /usr/lib64/ghc-7.6.3/package.conf.d

on f20/f21:

$ rpm -qf /usr/lib64/ghc-7.6.3/package.conf.d
ghc-compiler
$ rpm -qf /usr/lib64/ghc-7.6.3
ghc-base

Expected results:
no 

Additional info:
Maybe the problem is that fedora-review tries to install
the package in the host OS not the mock root?
Probably if I ran this on the F20 machine which has
ghc-7.6.3 perhaps I would not get the error.
Comment 1 Alec Leamas 2013-11-21 05:53:04 EST
f-r actually uses rpm -q -qf to find out directory ownership. This is a lazy shortcut to save some time, f-r is really slow anyway... but yes, it should be possible to run this command in the mock chroot instead.
Comment 2 Stanislav Ochotnicky 2013-11-27 08:39:51 EST
fedora-review does not complain actually. As your output says:

"Note: No known owner of /usr/lib64/ghc-7.6.3/package.conf.d,
     /usr/lib64/ghc-7.6.3"

or:
Note: Directories without known owners: /usr/lib64/ghc-7.6.3,
     /usr/lib64/ghc-7.6.3/package.conf.d


We don't set the check as a failure either. Fedora-review just realizes it cannot reliably automate the check in current situation so it opts to leave it up to reviewer.

Above doesn't mean we can't improve, but it's not really a bug but a feature request.
Comment 3 Fedora End Of Life 2015-05-29 05:47:22 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-06-29 08:58:14 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.